using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Data;

namespace DefaultAndCustomFilteringRadGridViewWpf_2009_Q11
{
	public class CustomFilterDescription : FilterDescription
	{
		private string subject;

		public CustomFilterDescription(string subject)
		{
			this.subject = subject;
		}

		public override bool SatisfiesFilter(object dataItem)
		{
			var data = (Message)dataItem;

			return 
				data.Subject == this.subject;
		}
	}
}